Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.context.symbol.internal.provisional
Interface IBeanPropertySymbol

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IDescribedInDetail, IObjectSymbol, IPropertySymbol, ISymbol, org.eclipse.emf.common.notify.Notifier

public interface IBeanPropertySymbol
extends IPropertySymbol, IDescribedInDetail

A property of a bean

Field Summary
`static java.lang.String` | `copyright`

Fields inherited from interface org.eclipse.jst.jsf.context.symbol.internal.provisional.ISymbol
`EMPTY_SYMBOL_ARRAY`

Method Summary
`IJavaTypeDescriptor2` | `getOwner()`
`boolean` | `isReadable()` Returns the value of the 'Readable' attribute.
`boolean` | `isWritable()` Returns the value of the 'Writable' attribute.
`void` | `setOwner(IJavaTypeDescriptor2 value)` Sets the value of the '`Owner`' reference.

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.internal.provisional.IPropertySymbol
`isIntermediate, setIntermediate`

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.internal.provisional.IObjectSymbol
`getTypeDescriptor, setReadable, setTypeDescriptor, setWritable`

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.internal.provisional.ISymbol
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.internal.provisional.IDescribedInDetail
`getDetailedDescription, setDetailedDescription`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getOwner

    public IJavaTypeDescriptor2 getOwner()

  Returns:
    the bean that owns this property

### setOwner

    public void setOwner(IJavaTypeDescriptor2 value)

  Sets the value of the '`Owner`' reference.

  Parameters:
    `value` - the new value of the 'Owner' reference.
  See Also:
    `getOwner()`

### isReadable

    public boolean isReadable()

  Description copied from interface: `IObjectSymbol`
  Returns the value of the 'Readable' attribute.

  If the meaning of the 'Readable' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `isReadable` in interface `IObjectSymbol`
  Returns:
    true if the bean has getter for this property
  See Also:
    `IObjectSymbol.setReadable(boolean)`, `SymbolPackage.getIObjectSymbol_Readable()`

### isWritable

    public boolean isWritable()

  Description copied from interface: `IObjectSymbol`
  Returns the value of the 'Writable' attribute.

  If the meaning of the 'Writable' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `isWritable` in interface `IObjectSymbol`
  Returns:
    true if the bean has a setter fot this property
  See Also:
    `IObjectSymbol.setWritable(boolean)`, `SymbolPackage.getIObjectSymbol_Writable()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD